# GMM (C) 2018 Stephane Charette <stephanecharette@gmail.com>
# $Id: CMakeLists.txt 2620 2018-09-25 06:18:31Z stephane $


FILE ( GLOB GMM_WND_SOURCE *.cpp	)
LIST ( SORT GMM_WND_SOURCE		)

IF ( WIN32 )
	LIST ( REMOVE_ITEM GMM_WND_SOURCE ${CMAKE_CURRENT_SOURCE_DIR}/SerialCommStub.cpp )
ELSE ()
	LIST ( REMOVE_ITEM GMM_WND_SOURCE ${CMAKE_CURRENT_SOURCE_DIR}/SerialCommWin32.cpp )
ENDIF ()

ADD_LIBRARY ( gmm_wnd OBJECT ${GMM_WND_SOURCE} )
